aboutsummaryrefslogtreecommitdiff
path: root/repo/git/kiss-commit
diff options
context:
space:
mode:
authorCem Keylan <cem@ckyln.com>2020-05-28 16:45:43 +0300
committerCem Keylan <cem@ckyln.com>2020-05-28 16:45:43 +0300
commit1dabf5a8d511db458dd529588e57a8ed8185787a (patch)
treec5905caa9b93fa4c63ee5e8e8dbdccd53d5aca53 /repo/git/kiss-commit
parent7bfa97d6fa2452d0517c4f820e44033b5a50cd50 (diff)
downloadcpt-extra-1dabf5a8d511db458dd529588e57a8ed8185787a.tar.gz
added new utilities, changed repository structure20200528
Diffstat (limited to 'repo/git/kiss-commit')
-rwxr-xr-xrepo/git/kiss-commit5
1 files changed, 5 insertions, 0 deletions
diff --git a/repo/git/kiss-commit b/repo/git/kiss-commit
new file mode 100755
index 0000000..ae0315a
--- /dev/null
+++ b/repo/git/kiss-commit
@@ -0,0 +1,5 @@
+#!/bin/sh
+# Commit a package without the prefix of 'package:'
+
+[ "$1" ] || { printf 'usage: %s <commit-msg without package name>\n' "${0##*/}"; exit 0 ;}
+git reset; git add .; git commit -m "${PWD##*/}: $*"